package org.gcube.gcat.utils;

import org.gcube.common.encryption.encrypter.StringEncrypter;
import org.gcube.common.security.secrets.Secret;
import org.gcube.gcat.ContextTest;
import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
public class ConstantsTest extends ContextTest {
	
	private static final Logger logger = LoggerFactory.getLogger(ConstantsTest.class);
	
	@Test
	public void testGetApplicationToken() throws Exception {
		Secret secret = Constants.getCatalogueSecret();
		logger.debug("Authorization Header is {}", secret.getHTTPAuthorizationHeaders());
		ContextTest.setContextBySecret(secret);
	}
	
	@Test
	public void decrypt() throws Exception {
		StringEncrypter stringEncrypter = StringEncrypter.getEncrypter();
		String decrypted = stringEncrypter.decrypt("w0KVc+78b2yUQsndDh/cXyyRquuwyILTygmoF0Y5Dls=");
		logger.debug("{}", decrypted);
	}
	
}
